﻿-- Debuff Monitor

local width, height = 250, 22

function SN:Debuffs()
	SN.F.debuffs = SN.timers:NewGroup(250, "DebuffGroup", dbuffgrp)
	SN.F.debuffs:SetSpacing(0, 7)
	SN.F.debuffs:SetStartPoint("topleft")
	SN.F.debuffs:SetSorting("time")
	SN.F.debuffs:SetPoint("CENTER", UIParent, "CENTER", 300, 200)
	SN.F.debuffs:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	SN.F.debuffs:SetScript("OnEvent", function(self, event, ...)
		SN:UpdateDebuff(self, event, unit, ...)
	end)
end

function SN:UpdateDebuff(group, event, unit, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then

		local timestamp, type,_, sourceGUID, sourceName,_,_, destGUID, destName = select(1, ...)
		local spellId, spellName, spellSchool = select(12, ...)

		for i, cooldown in pairs(SN.debuffs) do
			-- Check to see if the aura is applied and refresh the timer
			if type == cooldown['refresh'] then
				if spellId == cooldown['spellID'] then
					if sourceGUID == UnitGUID("player") then
						tempbar = group:Find("SN:arg5", spellName)
						if tempbar ~= nil then
							if cooldown['glyphid'] then
								if SN:CheckGlyphs(cooldown) then
									tempbar:SetDuration(cooldown['dur2'])
								else
									tempbar:SetDuration(cooldown['dur'])
								end
							else
								tempbar:SetDuration(cooldown['dur'])
							end
							tempbar:Start()
						end
					end
				end
			--Start a fresh timer since the aura is not on the target				
			elseif type == cooldown['succ'] then
				if spellId == cooldown['spellID'] then
					if sourceGUID == UnitGUID("player") then
						if cooldown['glyphid'] then
							if SN:CheckGlyphs(cooldown) then
								SN:CreateBar(group, cooldown, cooldown['dur2'], sourceName, destGUID, spellName)
							else
								SN:CreateBar(group, cooldown, cooldown['dur'], sourceName, destGUID, spellName)
							end
						else
							SN:CreateBar(group, cooldown, cooldown['dur'], sourceName, destGUID, spellName)
						end
					end
				end
			end
		end
		if  type == "SPELL_DAMAGE" then
			if spellId == 77767 or spellId == 53209 then -- Serpent Sting refresh with Cobra Shot and Chimera Shot
				if sourceGUID == UnitGUID("player") then
					tempbar = group:Find("SN:arg5", "Serpent Sting")
					if tempbar ~= nil then
						if spellId == 53209 then
							tempbar:SetDuration(15)
							tempbar:Start()
						elseif select(1, tempbar:GetDuration()) + 6 > 15 then
							tempbar:SetDuration(15)
							tempbar:Start()
						else
							tempbar:SetDuration(select(1, tempbar:GetDuration()) + 6)
							tempbar:Start()
						end
					end
				end
			end	
		end
	end
end	
