----------------------------------------------
--		Serenity Now						--
--			By Shampow on US-Archimonde		--
----------------------------------------------

SN = LibStub("AceAddon-3.0"):NewAddon("SerenityNow", "AceEvent-3.0", "AceTimer-3.0")
SN.LSM = LibStub("LibSharedMedia-3.0")

SN.timers = LibStub("LibFancyBar-1.0")

SN.F = {} 	-- Frames
SN.V = LibStub("AceDB-3.0"):New("SNDB", defaults, true)
SN_UpdateInterval = 1.0 -- How often the OnUpdate code will run (in seconds)

function SN:OnEnable()
	
end


function SN:OnInitialize()

	if count == 1 then return end

	--Check to see if ElvUI is loaded so we can make the bars purty
	if (IsAddOnLoaded("ElvUI")) then
		local E, L, V, P, G, _ = unpack(ElvUI)
	end

	--Timer Groups
	SN:Debuffs()
	SN:CoolDowns()
	
	--Setup Power Bar
	SN:InitPower()
	--Enable Power Bar if switched to either guardian or feral druid
	SN:RegisterEvent("PLAYER_SPECIALIZATION_CHANGED", function(self)
			SN:InitPower()
		end)
			
	count = 1
end

function SN:CheckGlyphs(cooldown)
	checkglyphs = false
	for i = 1, NUM_GLYPH_SLOTS do
		local enabled, glyphType, glyphTooltipIndex, glyphSpellID, icon = GetGlyphSocketInfo(i)
		if ( enabled ) then
			if cooldown['glyphid'] == glyphSpellID then
				checkglyphs = true
			end
		end
	end
	return checkglyphs
end
